summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/stardict.eclass')
-rw-r--r--eclass/stardict.eclass74
1 files changed, 52 insertions, 22 deletions
diff --git a/eclass/stardict.eclass b/eclass/stardict.eclass
index cbfb10c54552..080c01f92470 100644
--- a/eclass/stardict.eclass
+++ b/eclass/stardict.eclass
@@ -1,50 +1,78 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-# Author : Alastair Tse <liquidx@gentoo.org>
-#
-# Convienence class to do stardict dictionary installations.
-#
+# @ECLASS: stardict.eclass
+# @MAINTAINER:
+# No maintainer <maintainer-needed@gentoo.org>
+# @AUTHOR:
+# Alastair Tse <liquidx@gentoo.org>
+# @SUPPORTED_EAPIS: 8
+# @BLURB: Convenience class to do stardict dictionary installations.
+# @DESCRIPTION:
# Usage:
# - Variables to set :
# * FROM_LANG - From this language
# * TO_LANG - To this language
# * DICT_PREFIX - SRC_URI prefix, like "dictd_www.mova.org_"
-# * DICT_SUFFIX - SRC_URI after the prefix.
+# * DICT_SUFFIX - SRC_URI after the prefix.
+
+case ${EAPI} in
+ 8) ;;
+ *) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
+esac
+
+if [[ -z ${_STARDICT_ECLASS} ]] ; then
+_STARDICT_ECLASS=1
+
+inherit edo
RESTRICT="strip"
-[ -z "${DICT_SUFFIX}" ] && DICT_SUFFIX=${PN#stardict-[[:lower:]]*-}
-[ -z "${DICT_P}" ] && DICT_P=stardict-${DICT_PREFIX}${DICT_SUFFIX}-${PV}
+# @ECLASS_VARIABLE: DICT_SUFFIX
+# @PRE_INHERIT
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# Suffix used for dictionaries.
+: "${DICT_SUFFIX:=${PN#stardict-[[:lower:]]*-}}"
-if [ -n "${FROM_LANG}" -a -n "${TO_LANG}" ]; then
+# @ECLASS_VARIABLE: DICT_P
+# @PRE_INHERIT
+# @DEFAULT_UNSET
+# @DESCRIPTION:
+# The filestem used for downloading dictionaries from SourceForge.
+: "${DICT_P:=stardict-${DICT_PREFIX}${DICT_SUFFIX}-${PV}}"
+
+: "${DESCRIPTION:="Another Stardict Dictionary"}"
+if [[ -n ${FROM_LANG} && -n ${TO_LANG} ]]; then
DESCRIPTION="Stardict Dictionary ${FROM_LANG} to ${TO_LANG}"
-elif [ -z "${DESCRIPTION}" ]; then
- DESCRIPTION="Another Stardict Dictionary"
fi
HOMEPAGE="http://stardict.sourceforge.net/"
SRC_URI="mirror://sourceforge/stardict/${DICT_P}.tar.bz2"
+S="${WORKDIR}/${DICT_P}"
-IUSE="gzip"
-SLOT="0"
LICENSE="GPL-2"
+SLOT="0"
+IUSE="+zlib"
-DEPEND="|| ( >=app-text/stardict-2.4.2
+BDEPEND="
+ || (
+ >=app-text/stardict-2.4.2
app-text/sdcv
- app-text/goldendict )
- gzip? ( app-arch/gzip
- app-text/dictd )"
-
-S=${WORKDIR}/${DICT_P}
+ )
+ zlib? (
+ app-arch/gzip
+ app-text/dictd
+ )"
stardict_src_compile() {
- if use gzip; then
+ local file
+ if use zlib; then
for file in *.idx; do
- [[ -f $file ]] && gzip ${file}
+ [[ -f ${file} ]] && edo gzip "${file}"
done
for file in *.dict; do
- [[ -f $file ]] && dictzip ${file}
+ [[ -f ${file} ]] && edo dictzip "${file}"
done
fi
}
@@ -56,4 +84,6 @@ stardict_src_install() {
doins *.ifo
}
+fi
+
EXPORT_FUNCTIONS src_compile src_install